#include <bits/stdc++.h>

using namespace std;
bool r[10][10];
/*char Uredi(bool r[10][10], char tabla[][10], int i, int j, int m, int n)
{
    if(!r[i][j])
    {
        tabla[i][j]='C';
        r[i][j]=true;
        int ii=i, jj=j;
        while(tabla[ii][j]=='.')
        {
            r[ii][j]=true;
            ii++;
        }
        while(tabla[i][jj]=='.')
        {
            r[i][jj]=true;
            jj++;
        }
        if(j<m) Uredi(r,tabla,i,j+1,m,n);
        if(i<n) Uredi(r,tabla,i+1,j,m,n);
        if(j>=m&&i>=m)
        {
            return 'C';
        }
    }
    else return tabla[i][j];
}*/
int main ()
{
    bool postoji=true;
    bool prazna=true;
    int n, m;
    cin >> n >> m;
    char tabla[10][10];
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<m;j++)
        {
            cin >> tabla[i][j];
            if(tabla[i][j]!='.')
            {
                prazna=false;
                r[i][j]=true;
            }
        }
    }
    if(prazna)
    {
        for(int i=0;i<n;i++)
        {
            for(int j=0;j<m;j++)
            {
                if(i==j)
                    cout << "C";
                else cout << ".";
            }
            cout << endl;
        }
        return 0;
    }
    /*for(int i=0;i<n;i++)
    {
        for(int j=0;j<m;j++)
           {
               tabla[i][j] = Uredi(r,tabla,i,j,m,n);
               if(tabla[i][j]=='C')
               {
                   r[i][j]=true;
                   int ii=i, jj=j;
                   while(tabla[ii][j]=='.')
                   {
                       r[ii][j]=true;
                       ii++;
                   }
                   while(tabla[i][jj]=='.')
                   {
                       r[i][jj]=true;
                       jj++;
                   }
               }
           }
    }
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<m;j++)
            cout << tabla[i][j];
        cout << endl;
    }*/
    else cout << -1 << endl;
    return 0;
}